*,
*::before,
*::after {
  box-sizing: border-box;
}

:host {
  --color-text-body: #4c4d52;
  --color-neutral-800: #434347;
  --color-neutral-400: #83858d;
  --color-neutral-500: #686a72;
  --color-neutral-200: #ceced3;
  --color-neutral-100: #e5e5e8;
  --color-neutral-50: #f5f5f6;
  --color-green-600: #21984b;
  --color-green-400: #64d78c;
  --color-green-300: #8ee7ad;
  --color-blue-600: #2243ee;
  --color-satin-50: #f6f5f1;
  --color-red-700: #be1011;
}

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}

p {
  margin: 0;
  font-size: 1rem;
  color: var(--color-text-body);
  line-height: 1.4;
}

.assistive-txt {
  font-size: 0.75rem;
  color: var(--color-neutral-800);
  margin-top: 0.5rem;
}

.overflow-hidden {
  overflow: hidden;
}

.heading-5 {
  font-size: 1.25rem;
  font-weight: 600;
  color: black;
  line-height: 1.4;
}

.heading-4 {
  font-size: 1.5rem;
  font-weight: 600;
  color: black;
  line-height: 1.4;
}

.heading-3 {
  font-size: 2.25rem;
  font-weight: 600;
  color: black;
  line-height: 1.4;
}

.heading-1 {
  font-size: 3rem;
  font-weight: 600;
  color: black;
  line-height: 1.4;
}

.weight-600 {
  font-weight: 600;
}

.text-center {
  text-align: center;
}

.text-18 {
  font-size: 1.125rem;
}

.text-14 {
  font-size: 0.875rem;
}

.text-12 {
  font-size: 0.75rem;
}

.flex-v-center-top {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
}

.flex-h-left-center {
  display: flex;
  justify-content: start;
  align-items: center;
}

.flex-h-left-stretch {
  display: flex;
  justify-content: start;
  align-items: stretch;
}

.flex-h-between-center {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.flex-h-between-top {
  display: flex;
  justify-content: space-between;
  align-items: start;
}

.flex-v-left-top {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
}

.gap-8 {
  gap: 0.5rem;
}

.gap-10 {
  gap: 0.625rem;
}

.gap-16 {
  gap: 1rem;
}

.gap-20 {
  gap: 1.25rem;
}

.gap-24 {
  gap: 1.5rem;
}

.gap-32 {
  gap: 2rem;
}

.gap-40 {
  gap: 2.5rem;
}

.gap-64 {
  gap: 3rem;
}

.padding-24 {
  padding: 1.5rem;
}

.padding-bottom-32 {
  padding-bottom: 2rem;
}

.calculator-slider_container {
  height: 100%;
  width: 100%;
  padding: 2rem;
  background: white;
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 24px;
}

.width-100 {
  width: 100%;
}

@media (max-width: 768px) {
  .is-mobile-vertical {
    flex-direction: column;
  }

  .is-mobile-horizontal-top-between {
    flex-direction: row;
    justify-content: space-between;
    align-items: start;
  }

  .is-mobile-align-left {
    align-items: start;
  }

  .calculator-slider_container {
    padding: 1.5rem 1.25rem;
  }

  .heading-4 {
    font-size: 1.25rem;
  }

  .heading-3 {
    font-size: 1.75rem;
  }

  .mobile-gap-12 {
    gap: 0.75rem;
  }

  .mobile-gap-32 {
    gap: 2rem;
  }

  .mobile-text-12 {
    font-size: 0.75rem;
  }

  .mobile-text-14 {
    font-size: 0.875rem;
  }

  .mobile-stretch {
    width: 100%;
  }
}

.calculator-header {
  width: 100%;
  padding: 1.5rem 2rem;
  background: white;
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  color: black;
}

.calculator-header-title {
  font-size: 1.875rem;
  font-weight: 600;
  color: black;
}

.calculator-header-description {
  font-size: 1rem;
  color: var(--color-text-body);
  white-space: pre-line;
}

@media (max-width: 768px) {
  .calculator-header {
    display: none;
  }
}

.calculator-slider {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
}

.calculator-slider_amount {
  max-width: 210px;
  padding: 0.625rem 1.5rem;
  background: var(--color-neutral-50);
  font-size: 1.5rem;
  font-weight: 600;
  border-radius: 58px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.calculator-slider_amount-input {
  width: 100%;
  border: 0;
  outline: 0;
  background: transparent;
  text-align: right;
  font: inherit;
  color: black;
}

.calculator-slider_amount-input::-webkit-outer-spin-button,
.calculator-slider_amount-input::-webkit-inner-spin-button {
  appearance: none;
  margin: 0;
}

.calculator-slider_helper-text {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 0.875rem;
  color: var(--color-text-body);
}

.calculator-slider_info {
  font-size: 0.75rem;
}

.max-width-50 {
  width: 50%;
}

@media (max-width: 992px) {
  .calculator-slider_amount {
    min-width: auto;
    font-size: 1.25rem;
    padding: 0.75rem 1rem;
    white-space: nowrap;
    max-width: 160px;
  }
}

.calculator-summary {
  height: auto;
  width: 100%;
  padding: 2rem;
  background: white;
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  justify-content: top;
  align-items: center;
  gap: 24px;
}

.calculator-summary_header {
  width: 100%;
  padding-bottom: 1.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
  border-bottom: 1px solid var(--color-neutral-100);
  color: black;
}

.calculator-summary_header-title {
  font-size: 1rem;
  color: var(--color-text-body);
}

.calculator-summary_header-amount {
  font-size: 3rem;
  font-weight: 600;
  text-align: center;
  color: black;
  white-space: nowrap;
}

.calculator-summary_info {
  width: 100%;
  padding: 0.5rem;
  background: var(--color-neutral-50);
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-text-body);
  text-align: center;
}

.calculator-summary_info p {
  font-size: 1.125rem;
  text-align: center;
}

.calculator-summary_body {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 32px;
  justify-content: space-between;
}

@media (max-width: 768px) {
  .calculator-summary {
    padding: 1.5rem 1.25rem;
  }

  .calculator-summary_info p {
    font-size: 0.875rem;
  }

  .calculator-summary_header-amount {
    font-size: 1.75rem;
  }

  .calculator-summary_header-title {
    font-size: 0.875rem;
    max-width: 100px;
  }
}

.button {
  border-radius: 32px;
  padding: 16px 24px;
  font-size: 16px;
  cursor: pointer;
  font-weight: 600;
  transition: all 300ms ease;
  height: 3.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  white-space: nowrap;
}

.button--primary {
  background: var(--color-green-400);
  border: 1.5px solid var(--color-green-600);
  box-shadow: inset 0px 4px 4px 0px #ffffff40;
}

.button--primary:hover {
  background: var(--color-green-300);
}

.button--primary:disabled {
  background: var(--color-neutral-200);
  border: 1.5px solid var(--color-neutral-200);
  color: var(--color-neutral-500);
  cursor: not-allowed;
  box-shadow: none;
}

.button--primary:disabled:hover {
  background: var(--color-neutral-200);
}

.button--secondary {
  background: white;
  border: 1.5px solid black;
  box-shadow: none;
}

.button--secondary:hover {
  border-color: var(--color-green-600);
}

.button--secondary:disabled {
  background: var(--color-neutral-50);
  border: 1.5px solid var(--color-neutral-500);
  color: var(--color-neutral-500);
  cursor: not-allowed;
}

.button--secondary:disabled:hover {
  border-color: var(--color-neutral-500);
  background: var(--color-neutral-50);
}

.button--full-width {
  width: 100%;
}

.calculator-summary-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 600;
  font-size: 1rem;
  gap: 1.5rem;
  width: 100%;
}

.calculator-summary-item p {
  color: black;
}

.calculator-summary-item p:first-child {
  text-align: left;
}

.calculator-summary-item p:last-child {
  text-align: right;
}

@media (max-width: 768px) {
  .calculator-summary-item {
    font-size: 0.75rem;
    gap: 1rem;
  }
}

